Net Earned Revenue Summary

This method will allow you to retrieve the values for the 'Net Earned Revenue' summary that is displayed on the Fusebill Home Page.

The currency to be retrieved must be specified in the URL.


This method returns the numerical values shown in the screenshot below

844
Response
[  
   {  
      "range":"Today",
      "netRevenue":624.12,
      "startDate":"2018-09-14T00:00:00",
      "endDate":"2018-09-14T00:00:00"
   },
   {  
      "range":"Yesterday",
      "netRevenue":624.04,
      "startDate":"2018-09-13T00:00:00",
      "endDate":"2018-09-13T00:00:00"
   },
   {  
      "range":"Avg MTD",
      "netRevenue":638.46,
      "startDate":"2018-09-01T00:00:00",
      "endDate":"2018-09-13T00:00:00"
   },
   {  
      "range":"This Month",
      "netRevenue":8924.09,
      "startDate":"2018-09-01T00:00:00",
      "endDate":"2018-09-14T00:00:00"
   },
   {  
      "range":"Last Month",
      "netRevenue":18859.98,
      "startDate":"2018-08-01T00:00:00",
      "endDate":"2018-08-31T00:00:00"
   },
   {  
      "range":"Last MTD",
      "netRevenue":8623.4,
      "startDate":"2018-08-01T00:00:00",
      "endDate":"2018-08-14T00:00:00"
   },
   {  
      "range":"This Year",
      "netRevenue":171114.48,
      "startDate":"2018-01-01T00:00:00",
      "endDate":"2018-09-14T00:00:00"
   },
   {  
      "range":"Last Year",
      "netRevenue":265285.43,
      "startDate":"2017-01-01T00:00:00",
      "endDate":"2017-12-31T00:00:00"
   },
   {  
      "range":"Last YTD",
      "netRevenue":191243.4,
      "startDate":"2017-01-01T00:00:00",
      "endDate":"2017-09-14T00:00:00"
   }
]
{
    "ErrorId": 0,
    "HttpStatusCode": 400,
    "Errors": [
        {
            "Key": "Api Error",
            "Value": "Currency NZD does not exist under your account or may have been entered incorrectly.  Please enter the ISO name for the currency you would like."
        }
    ]
}
Path Params
string
required

3 character ISO currency code.

Response
200
Language
Credentials
Header
LoadingLoading…